petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMNetworkLayoutSetUp

Sets up the bare layout (graph) for the network

### Synopsis

    #include "petscdmnetwork.h"
    PetscErrorCode DMNetworkLayoutSetUp(DM dm)

Collective on DM Many br

Input Parameters Many br

DM -the dmnetwork object Many br

### Notes

This routine should be called after the network sizes and edgelists have been provided. It creates Many brthe bare layout of the network and sets up the network to begin insertion of components. Many br

All the components should be registered before calling this routine. Many br

Many br

### See Also

DMNetworkSetSizes, DMNetworkSetEdgeList

Level:intermediate
Location:src/dm/impls/network/network.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages